Skip to main content
POST
/
v1
/
connector-accounts
/
{connectorAccountId}
/
disconnect
Disconnect connector account
curl --request POST \
  --url https://api.openworklabs.com/v1/connector-accounts/{connectorAccountId}/disconnect \
  --header 'Content-Type: application/json' \
  --data '
{
  "reason": "<string>"
}
'
{
  "ok": true,
  "item": {
    "deletedConfigObjectCount": 4503599627370495,
    "deletedConnectorInstanceCount": 4503599627370495,
    "deletedConnectorMappingCount": 4503599627370495,
    "disconnectedAccountId": "<string>",
    "reason": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://openworklabs.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

connectorAccountId
string<typeid>
required

Den TypeID with 'cac_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cac_.*

Body

application/json
reason
string
Required string length: 1 - 255

Response

Connector account disconnected and cleaned up successfully.

ok
boolean
required
item
object
required